function FLE4_P(FLeo,n,TS)
if nargin<3
    TS=0;
end
if TS==0
for kk=[1 2]
a=FLeo(kk,1:n/2);
plot(a,'--','LineWidth',3);
hold on
end
kk=3;
a=FLeo(kk,1:n/2);
plot(a,'-','LineWidth',3);
hold on
kk=4;
a=FLeo(kk,1:n/2);
plot(a,'-.','LineWidth',3);
hold off
if TS==0
axis([1,n/2,0 1.5])
else
    axis([1,n/2,0 .85])
end
%TickLabel off
%set(gca,'XTick',[0 n/4 n/2])
%set(gca,'XTickLabel',{'0',int2str(n/4),int2str(n/2)})
set(gca,'XTickLabel',{})
set(gca,'YTickLabel',{})
 set(gca,'Fontsize',1)
hold off

else
   
 kk=1
 
a=FLeo(kk,1:n/2);
plot(a,'--','LineWidth',3);
hold on
kk=2
a=FLeo(kk,1:n/2);
plot(a,'-','LineWidth',3);

hold off
axis([1,n/2,0 1])
% set(gca,'XTick',[0 n/4 n/2])
% set(gca,'XTickLabel',{'0',int2str(n/4),int2str(n/2)})
set(gca,'XTickLabel',{})
set(gca,'YTickLabel',{})
 set(gca,'Fontsize',1)
hold off
    end